Percona Server with XtraDB

ubuntu packaging: percona-server-client-5.x should conflict (/provides) mysql-client-core-5.x / percona-server-server-5.x should conflict mysql-server-core-5.x

Reported by Mrten on 2011-12-21
20
This bug affects 4 people
Affects Status Importance Assigned to Milestone
Percona Server
High
Ignacio Nin
5.1
High
Ignacio Nin
5.5
High
Ignacio Nin

Bug Description

I got this when trying to install percona-server-client:

root@piro:/etc/mysql# apt-get install percona-server-client-5.1
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following NEW packages will be installed:
  percona-server-client-5.1
0 upgraded, 1 newly installed, 0 to remove and 8 not upgraded.
Need to get 0B/4,707kB of archives.
After this operation, 13.2MB of additional disk space will be used.
(Reading database ... 141714 files and directories currently installed.)
Unpacking percona-server-client-5.1 (from .../percona-server-client-5.1_5.1.60-rel13.1-413.lucid_amd64.deb) ...
dpkg: error processing /var/cache/apt/archives/percona-server-client-5.1_5.1.60-rel13.1-413.lucid_amd64.deb (--unpack):
 trying to overwrite '/usr/share/man/man1/mysql.1.gz', which is also in package mysql-client-core-5.1 0:5.1.41-3ubuntu12.10
dpkg-deb: subprocess paste killed by signal (Broken pipe)
Processing triggers for man-db ...
Errors were encountered while processing:
 /var/cache/apt/archives/percona-server-client-5.1_5.1.60-rel13.1-413.lucid_amd64.deb
[ Rootkit Hunter version 1.3.6 ]
apt-gFile updated: searched for 163 files, found 135
eE: Sub-process /usr/bin/dpkg returned an error code (1)

a simple apt-get remove mysql-client-core-5.1 fixed the problem.

Tags: pkg Edit Tag help
Stewart Smith (stewart) on 2012-02-07
Changed in percona-server:
importance: Undecided → High

The same issue affects 5.5 as well. Need to remove mysql-common mysql-server-5.5 mysql-client-core-5.5 mysql-server-core-5.5

Changed in percona-server:
assignee: nobody → Ignacio Nin (ignacio-nin)

lp:521788 has been marked a duplicate of this one (refer that for more details on the conflicts). akonadi-server has a chain dependency over mysql-server-core / mysql-client-core and cause issues.

summary: - ubuntu packaging: percona-server-client-5.1 should conflict mysql-
- client-core-5.1
+ ubuntu packaging: percona-server-client-5.x should conflict (/provides)
+ mysql-client-core-5.x / percona-server-server-5.x should conflict
+ mysql-server-core-5.x
c.h. (wryfi) wrote :

The fix has regressed and this is now broken again in percona-server-5.6.

description: updated
Tomislav Plavcic (tplavcic) wrote :

@c.h.
Seems you're right - since this is closed opened a new bug #1299038
Thank you!

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers